Get Consolidation Run
GET /consolidation-runs/{consolidation_run_id}One pass, including its audit trace: which items were compared, merged and promoted.
Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
consolidation_run_id | path | string (uuid) | required | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | ConsolidationRunDetail |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X GET https://your-deployment.example.com/consolidation-runs/{consolidation_run_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — ConsolidationRunDetail
Section titled “Response — ConsolidationRunDetail”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
kb_id | string (uuid) | null | required, nullable | — |
agent_id | string (uuid) | null | required, nullable | — |
run_id | string (uuid) | null | required, nullable | — |
trigger | interval | manual | pressure | required | — |
status | queued | running | succeeded | failed | cancelled | required | — |
stage_counts | object | optional | — |
work_before | object | optional | — |
work_after | object | optional | — |
model_ref | string | null | optional | — |
tokens_input | integer | optional | Default 0. |
tokens_output | integer | optional | Default 0. |
cost | string | optional | Default "0". |
error_message | string | null | optional | — |
started_at | string (date-time) | null | optional | — |
finished_at | string (date-time) | null | optional | — |
created_at | string (date-time) | required | — |
stages_enabled | object | optional | — |
trace | object | optional | — |
item_labels | object | optional | — |